> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourvenues.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new webhook endpoint



## OpenAPI

````yaml post /webhooks/endpoints
openapi: 3.0.0
info:
  title: Channel Manager API
  version: 0.1.0
  description: >-
    Official API documentation for Channel Manager. All endpoints are protected
    by an API key.
servers:
  - url: https://channels-service-alpha.fourvenues.com
    description: Test server
  - url: https://channels-service.fourvenues.com
    description: Production server
security: []
tags: []
paths:
  /webhooks/endpoints:
    post:
      tags:
        - Webhooks
      summary: Create a new webhook endpoint
      operationId: createWebhookEndpoint
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - url
              properties:
                name:
                  type: string
                  description: Display name for the endpoint (does not filter events)
                url:
                  type: string
                  format: uri
                  description: HTTPS URL that will receive webhook POST requests
      responses:
        '201':
          description: Webhook endpoint created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/WebhookEndpoint'
                  success:
                    type: boolean
                    example: true
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - ApiKey: []
components:
  schemas:
    WebhookEndpoint:
      type: object
      properties:
        _id:
          type: string
        name:
          type: string
        url:
          type: string
        sign_secret:
          type: string
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````